MSSQL CLI
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update MSSQL CLI action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Run MSSQL queries",
"type": "MSSQL_CLI",
"trigger_time": "ON_EVERY_EXECUTION",
"shell": "BASH",
"execute_commands": [
"sqlcmd -Q 'SELECT @@VERSION'",
"sqlcmd -i migrate.sql"
],
"targets": [
{
"identifier": "my_mssql_database",
"name": "My MSSQL Database",
"type": "MSSQL",
"scope": "ACTION",
"host": "mssql.example.com",
"port": "1433",
"database": "app",
"auth": {
"method": "PASSWORD",
"username": "app_user",
"password": "secured"
}
}
]
}'STATUS200 OK